Revision of Russian help page for list function after commit 5aa6dba74ece7c0854b2e5ea...
[scilab.git] / scilab / modules / data_structures / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 @MAINTAINER_MODE_TRUE@am__append_1 = libscidata_structures-algo.la
77 @MAINTAINER_MODE_FALSE@am__append_2 = libscidata_structures-algo.la libscidata_structures.la
78 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
79         $(top_srcdir)/Makefile.incl.am
80 @NEED_JAVA_TRUE@am__append_3 = java
81 subdir = modules/data_structures
82 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
83 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
84         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
85         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
86         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
87         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
88         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
89         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
90         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
91         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
92         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
93         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
94         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
95         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
96         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
97         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
98         $(top_srcdir)/configure.ac
99 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100         $(ACLOCAL_M4)
101 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
102 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
103 CONFIG_CLEAN_FILES =
104 CONFIG_CLEAN_VPATH_FILES =
105 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
106 am__vpath_adj = case $$p in \
107     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
108     *) f=$$p;; \
109   esac;
110 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
111 am__install_max = 40
112 am__nobase_strip_setup = \
113   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
114 am__nobase_strip = \
115   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
116 am__nobase_list = $(am__nobase_strip_setup); \
117   for p in $$list; do echo "$$p $$p"; done | \
118   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
119   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
120     if (++n[$$2] == $(am__install_max)) \
121       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
122     END { for (dir in files) print dir, files[dir] }'
123 am__base_list = \
124   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
125   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
126 am__uninstall_files_from_dir = { \
127   test -z "$$files" \
128     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
129     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
130          $(am__cd) "$$dir" && rm -f $$files; }; \
131   }
132 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
133         "$(DESTDIR)$(libscidata_structures_la_etcdir)" \
134         "$(DESTDIR)$(libscidata_structures_la_rootdir)" \
135         "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"
136 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
137 libdummy_data_structures_la_LIBADD =
138 am_libdummy_data_structures_la_OBJECTS =  \
139         libdummy_data_structures_la-intl_e.lo
140 libdummy_data_structures_la_OBJECTS =  \
141         $(am_libdummy_data_structures_la_OBJECTS)
142 libdummy_data_structures_la_LINK = $(LIBTOOL) --tag=F77 \
143         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(F77LD) \
144         $(libdummy_data_structures_la_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
145         $(LDFLAGS) -o $@
146 libscidata_structures_algo_la_LIBADD =
147 am__objects_1 = libscidata_structures_algo_la-stcreate.lo \
148         libscidata_structures_algo_la-hmops.lo \
149         libscidata_structures_algo_la-strpos.lo
150 am__objects_2 = extractfields.lo forcerhs.lo intl_i.lo lsstyp.lo \
151         udptr.lo followpath.lo rattyp.lo lstops.lo gratyp.lo mlist.lo \
152         insertfield.lo
153 am_libscidata_structures_algo_la_OBJECTS = $(am__objects_1) \
154         $(am__objects_2)
155 libscidata_structures_algo_la_OBJECTS =  \
156         $(am_libscidata_structures_algo_la_OBJECTS)
157 @MAINTAINER_MODE_FALSE@am_libscidata_structures_algo_la_rpath =
158 @MAINTAINER_MODE_TRUE@am_libscidata_structures_algo_la_rpath =
159 libscidata_structures_la_DEPENDENCIES = libscidata_structures-algo.la \
160         libdummy-data_structures.la
161 am__objects_3 = libscidata_structures_la-sci_lsslist.lo \
162         libscidata_structures_la-sci_glist.lo \
163         libscidata_structures_la-sci_mlist.lo \
164         libscidata_structures_la-sci_definedfields.lo \
165         libscidata_structures_la-sci_getfield.lo \
166         libscidata_structures_la-sci_setfield.lo \
167         libscidata_structures_la-sci_lstcat.lo \
168         libscidata_structures_la-sci_list.lo \
169         libscidata_structures_la-gw_data_structures1.lo \
170         libscidata_structures_la-gw_data_structures2.lo \
171         libscidata_structures_la-sci_lstsize.lo \
172         libscidata_structures_la-sci_rlist.lo \
173         libscidata_structures_la-sci_tlist.lo
174 am__objects_4 = sci_f_definedfields.lo sci_f_lstsize.lo \
175         sci_f_setfield.lo sci_f_getfield.lo sci_f_lstcat.lo \
176         sci_f_list.lo
177 am_libscidata_structures_la_OBJECTS = $(am__objects_3) \
178         $(am__objects_4)
179 libscidata_structures_la_OBJECTS =  \
180         $(am_libscidata_structures_la_OBJECTS)
181 @MAINTAINER_MODE_FALSE@am_libscidata_structures_la_rpath =
182 @MAINTAINER_MODE_TRUE@am_libscidata_structures_la_rpath = -rpath \
183 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
184 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
185 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
186 am__depfiles_maybe = depfiles
187 am__mv = mv -f
188 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
189         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
190 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
191         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
193 CCLD = $(CC)
194 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
195         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
196         $(LDFLAGS) -o $@
197 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
198 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
199         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
200 F77LD = $(F77)
201 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
202         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
203         $(LDFLAGS) -o $@
204 SOURCES = $(libdummy_data_structures_la_SOURCES) \
205         $(libscidata_structures_algo_la_SOURCES) \
206         $(libscidata_structures_la_SOURCES)
207 DIST_SOURCES = $(libdummy_data_structures_la_SOURCES) \
208         $(libscidata_structures_algo_la_SOURCES) \
209         $(libscidata_structures_la_SOURCES)
210 am__can_run_installinfo = \
211   case $$AM_UPDATE_INFO_DIR in \
212     n|no|NO) false;; \
213     *) (install-info --version) >/dev/null 2>&1;; \
214   esac
215 DATA = $(libscidata_structures_la_etc_DATA) \
216         $(libscidata_structures_la_root_DATA) \
217         $(libscidata_structures_la_sci_gateway_DATA)
218 ETAGS = etags
219 CTAGS = ctags
220 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
221 ACLOCAL = @ACLOCAL@
222 ALL_LINGUAS = @ALL_LINGUAS@
223 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
224 AMTAR = @AMTAR@
225 ANT = @ANT@
226 ANTLR = @ANTLR@
227 AR = @AR@
228 ARPACK_LIBS = @ARPACK_LIBS@
229 ASM3 = @ASM3@
230 AUTOCONF = @AUTOCONF@
231 AUTOHEADER = @AUTOHEADER@
232 AUTOMAKE = @AUTOMAKE@
233 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
234 AWK = @AWK@
235 BATIK = @BATIK@
236 BLAS_LIBS = @BLAS_LIBS@
237 CC = @CC@
238 CCACHE = @CCACHE@
239 CCDEPMODE = @CCDEPMODE@
240 CFLAGS = @CFLAGS@
241 CHECKSTYLE = @CHECKSTYLE@
242 COBERTURA = @COBERTURA@
243 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
244 COMMONS_IO = @COMMONS_IO@
245 COMMONS_LOGGING = @COMMONS_LOGGING@
246 CPP = @CPP@
247 CPPFLAGS = @CPPFLAGS@
248 CXX = @CXX@
249 CXXCPP = @CXXCPP@
250 CXXDEPMODE = @CXXDEPMODE@
251 CXXFLAGS = @CXXFLAGS@
252 CYGPATH_W = @CYGPATH_W@
253 DEFS = @DEFS@
254 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
255 DEPDIR = @DEPDIR@
256 DOCBOOK_ROOT = @DOCBOOK_ROOT@
257 DOXYGEN_BIN = @DOXYGEN_BIN@
258 DSYMUTIL = @DSYMUTIL@
259 DUMPBIN = @DUMPBIN@
260 ECHO_C = @ECHO_C@
261 ECHO_N = @ECHO_N@
262 ECHO_T = @ECHO_T@
263 EGREP = @EGREP@
264 EXEEXT = @EXEEXT@
265 F77 = @F77@
266 FFLAGS = @FFLAGS@
267 FFTW3_LIB = @FFTW3_LIB@
268 FFTW_ENABLE = @FFTW_ENABLE@
269 FGREP = @FGREP@
270 FLEXDOCK = @FLEXDOCK@
271 FLIBS = @FLIBS@
272 FOP = @FOP@
273 GENHTML = @GENHTML@
274 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
275 GIWS_BIN = @GIWS_BIN@
276 GLUEGEN2_RT = @GLUEGEN2_RT@
277 GMSGFMT = @GMSGFMT@
278 GMSGFMT_015 = @GMSGFMT_015@
279 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
280 GREP = @GREP@
281 GUI_ENABLE = @GUI_ENABLE@
282 HDF5_CFLAGS = @HDF5_CFLAGS@
283 HDF5_LIBS = @HDF5_LIBS@
284 HELP_ENABLE = @HELP_ENABLE@
285 INSTALL = @INSTALL@
286 INSTALL_DATA = @INSTALL_DATA@
287 INSTALL_PROGRAM = @INSTALL_PROGRAM@
288 INSTALL_SCRIPT = @INSTALL_SCRIPT@
289 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
290 INTLLIBS = @INTLLIBS@
291 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
292 JAR = @JAR@
293 JAVA = @JAVA@
294 JAVAC = @JAVAC@
295 JAVAC_DEBUG = @JAVAC_DEBUG@
296 JAVADOC = @JAVADOC@
297 JAVAH = @JAVAH@
298 JAVASCI_ENABLE = @JAVASCI_ENABLE@
299 JAVA_ENABLE = @JAVA_ENABLE@
300 JAVA_G = @JAVA_G@
301 JAVA_HOME = @JAVA_HOME@
302 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
303 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
304 JDB = @JDB@
305 JEUCLID_CORE = @JEUCLID_CORE@
306 JGRAPHX = @JGRAPHX@
307 JHALL = @JHALL@
308 JLATEXMATH = @JLATEXMATH@
309 JLATEXMATH_FOP = @JLATEXMATH_FOP@
310 JOGL2 = @JOGL2@
311 JROSETTA_API = @JROSETTA_API@
312 JROSETTA_ENGINE = @JROSETTA_ENGINE@
313 JUNIT4 = @JUNIT4@
314 LAPACK_LIBS = @LAPACK_LIBS@
315 LCOV = @LCOV@
316 LD = @LD@
317 LDFLAGS = @LDFLAGS@
318 LIBICONV = @LIBICONV@
319 LIBINTL = @LIBINTL@
320 LIBM = @LIBM@
321 LIBOBJS = @LIBOBJS@
322 LIBS = @LIBS@
323 LIBTOOL = @LIBTOOL@
324 LIPO = @LIPO@
325 LN_S = @LN_S@
326 LOGGING_LEVEL = @LOGGING_LEVEL@
327 LOOKS = @LOOKS@
328 LTLIBICONV = @LTLIBICONV@
329 LTLIBINTL = @LTLIBINTL@
330 LTLIBOBJS = @LTLIBOBJS@
331 MAINT = @MAINT@
332 MAKEINFO = @MAKEINFO@
333 MATIO_CFLAGS = @MATIO_CFLAGS@
334 MATIO_ENABLE = @MATIO_ENABLE@
335 MATIO_LIBS = @MATIO_LIBS@
336 MKDIR_P = @MKDIR_P@
337 MSGCAT = @MSGCAT@
338 MSGFMT = @MSGFMT@
339 MSGFMT_015 = @MSGFMT_015@
340 MSGMERGE = @MSGMERGE@
341 NM = @NM@
342 NMEDIT = @NMEDIT@
343 OBJDUMP = @OBJDUMP@
344 OBJEXT = @OBJEXT@
345 OCAMLC = @OCAMLC@
346 OCAMLDEP = @OCAMLDEP@
347 OCAMLLEX = @OCAMLLEX@
348 OCAMLOPT = @OCAMLOPT@
349 OCAMLYACC = @OCAMLYACC@
350 OPENMP_CFLAGS = @OPENMP_CFLAGS@
351 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
352 OPENMP_ENABLE = @OPENMP_ENABLE@
353 OPENMP_LIBS = @OPENMP_LIBS@
354 OTOOL = @OTOOL@
355 OTOOL64 = @OTOOL64@
356 PACKAGE = @PACKAGE@
357 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
358 PACKAGE_NAME = @PACKAGE_NAME@
359 PACKAGE_STRING = @PACKAGE_STRING@
360 PACKAGE_TARNAME = @PACKAGE_TARNAME@
361 PACKAGE_URL = @PACKAGE_URL@
362 PACKAGE_VERSION = @PACKAGE_VERSION@
363 PATH_SEPARATOR = @PATH_SEPARATOR@
364 PCRE_CFLAGS = @PCRE_CFLAGS@
365 PCRE_CONFIG = @PCRE_CONFIG@
366 PCRE_LIBS = @PCRE_LIBS@
367 PCRE_VERSION = @PCRE_VERSION@
368 PKG_CONFIG = @PKG_CONFIG@
369 POSUB = @POSUB@
370 POW_LIB = @POW_LIB@
371 PYTHON = @PYTHON@
372 RANLIB = @RANLIB@
373 RELOCATABLE = @RELOCATABLE@
374 RT_LIB = @RT_LIB@
375 SAXON = @SAXON@
376 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
377 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
378 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
379 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
380 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
381 SCIRENDERER = @SCIRENDERER@
382 SCI_CFLAGS = @SCI_CFLAGS@
383 SCI_CXXFLAGS = @SCI_CXXFLAGS@
384 SCI_FFLAGS = @SCI_FFLAGS@
385 SCI_LDFLAGS = @SCI_LDFLAGS@
386 SED = @SED@
387 SET_MAKE = @SET_MAKE@
388 SET_RELOCATABLE = @SET_RELOCATABLE@
389 SHELL = @SHELL@
390 SKINLF = @SKINLF@
391 SPLINT = @SPLINT@
392 STRIP = @STRIP@
393 SWIG_BIN = @SWIG_BIN@
394 SWIG_JAVA = @SWIG_JAVA@
395 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
396 TCLTK_LIBS = @TCLTK_LIBS@
397 TCL_INC_PATH = @TCL_INC_PATH@
398 TK_INC_PATH = @TK_INC_PATH@
399 UMFPACK_ENABLE = @UMFPACK_ENABLE@
400 UMFPACK_LIB = @UMFPACK_LIB@
401 USE_NLS = @USE_NLS@
402 VERSION = @VERSION@
403 WITH_OCAML = @WITH_OCAML@
404 WITH_TKSCI = @WITH_TKSCI@
405 XCOS_ENABLE = @XCOS_ENABLE@
406 XGETTEXT = @XGETTEXT@
407 XGETTEXT_015 = @XGETTEXT_015@
408 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
409 XMKMF = @XMKMF@
410 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
411 XML_APIS_EXT = @XML_APIS_EXT@
412 XML_CONFIG = @XML_CONFIG@
413 XML_FLAGS = @XML_FLAGS@
414 XML_LIBS = @XML_LIBS@
415 XML_VERSION = @XML_VERSION@
416 X_CFLAGS = @X_CFLAGS@
417 X_EXTRA_LIBS = @X_EXTRA_LIBS@
418 X_LIBS = @X_LIBS@
419 X_PRE_LIBS = @X_PRE_LIBS@
420 abs_builddir = @abs_builddir@
421 abs_srcdir = @abs_srcdir@
422 abs_top_builddir = @abs_top_builddir@
423 abs_top_srcdir = @abs_top_srcdir@
424 ac_ct_CC = @ac_ct_CC@
425 ac_ct_CXX = @ac_ct_CXX@
426 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
427 ac_ct_F77 = @ac_ct_F77@
428 am__include = @am__include@
429 am__leading_dot = @am__leading_dot@
430 am__quote = @am__quote@
431 am__tar = @am__tar@
432 am__untar = @am__untar@
433 bindir = @bindir@
434 build = @build@
435 build_alias = @build_alias@
436 build_cpu = @build_cpu@
437 build_os = @build_os@
438 build_vendor = @build_vendor@
439 builddir = @builddir@
440 cxx_present = @cxx_present@
441 datadir = @datadir@
442 datarootdir = @datarootdir@
443 docdir = @docdir@
444 dvidir = @dvidir@
445 exec_prefix = @exec_prefix@
446 host = @host@
447 host_alias = @host_alias@
448 host_cpu = @host_cpu@
449 host_os = @host_os@
450 host_vendor = @host_vendor@
451 htmldir = @htmldir@
452 includedir = @includedir@
453 infodir = @infodir@
454 install_sh = @install_sh@
455 libdir = @libdir@
456 libexecdir = @libexecdir@
457 localedir = @localedir@
458 localstatedir = @localstatedir@
459 mandir = @mandir@
460 mkdir_p = @mkdir_p@
461 oldincludedir = @oldincludedir@
462 pdfdir = @pdfdir@
463 prefix = @prefix@
464 program_transform_name = @program_transform_name@
465 psdir = @psdir@
466 sbindir = @sbindir@
467 sharedstatedir = @sharedstatedir@
468 srcdir = @srcdir@
469 sysconfdir = @sysconfdir@
470 target_alias = @target_alias@
471 top_build_prefix = @top_build_prefix@
472 top_builddir = @top_builddir@
473 top_srcdir = @top_srcdir@
474 DATA_STRUCTURES_C_SOURCES = src/c/stcreate.c \
475 src/c/hmops.c \
476 src/c/strpos.c
477
478 DATA_STRUCTURES_FORTRAN_SOURCES = src/fortran/extractfields.f \
479 src/fortran/forcerhs.f \
480 src/fortran/intl_i.f \
481 src/fortran/lsstyp.f \
482 src/fortran/udptr.f \
483 src/fortran/followpath.f \
484 src/fortran/rattyp.f \
485 src/fortran/lstops.f \
486 src/fortran/gratyp.f \
487 src/fortran/mlist.f \
488 src/fortran/insertfield.f
489
490 GATEWAY_C_SOURCES = sci_gateway/c/sci_lsslist.c \
491 sci_gateway/c/sci_glist.c \
492 sci_gateway/c/sci_mlist.c \
493 sci_gateway/c/sci_definedfields.c \
494 sci_gateway/c/sci_getfield.c \
495 sci_gateway/c/sci_setfield.c \
496 sci_gateway/c/sci_lstcat.c \
497 sci_gateway/c/sci_list.c \
498 sci_gateway/c/gw_data_structures1.c \
499 sci_gateway/c/gw_data_structures2.c \
500 sci_gateway/c/sci_lstsize.c \
501 sci_gateway/c/sci_rlist.c \
502 sci_gateway/c/sci_tlist.c
503
504 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_definedfields.f \
505 sci_gateway/fortran/sci_f_lstsize.f \
506 sci_gateway/fortran/sci_f_setfield.f \
507 sci_gateway/fortran/sci_f_getfield.f \
508 sci_gateway/fortran/sci_f_lstcat.f \
509 sci_gateway/fortran/sci_f_list.f
510
511 libscidata_structures_la_CPPFLAGS = -I$(srcdir)/includes/ \
512 -I$(top_srcdir)/libs/MALLOC/includes/ \
513 -I$(top_srcdir)/modules/localization/includes/ \
514 -I$(top_srcdir)/modules/output_stream/includes/ \
515 -I$(top_srcdir)/modules/api_scilab/includes/ \
516 -I$(top_srcdir)/modules/string/includes/ \
517 $(AM_CPPFLAGS)
518
519
520 # FIXME: why disabling optimisation ? Any bug reference ?
521 # Disable optimisation of the file intl_e.f
522 noinst_LTLIBRARIES = libdummy-data_structures.la $(am__append_1) \
523         $(am__append_2)
524 libdummy_data_structures_la_SOURCES = src/fortran/intl_e.f
525 libdummy_data_structures_la_FFLAGS = $(AM_FFLAGS) $(FFLAGS) -O0
526 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidata_structures.la
527 libscidata_structures_algo_la_SOURCES = $(DATA_STRUCTURES_C_SOURCES) $(DATA_STRUCTURES_FORTRAN_SOURCES)
528 libscidata_structures_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
529 libscidata_structures_algo_la_CPPFLAGS = $(libscidata_structures_la_CPPFLAGS)
530
531 # For the code check (splint)
532 CHECK_SRC = $(DATA_STRUCTURES_C_SOURCES) $(GATEWAY_C_SOURCES)
533 INCLUDE_FLAGS = $(libscidata_structures_la_CFLAGS)
534 libscidata_structures_la_LIBADD = libscidata_structures-algo.la libdummy-data_structures.la
535
536 #### Target ######
537 modulename = data_structures
538
539 #### data_structures : Conf files ####
540 libscidata_structures_la_rootdir = $(mydatadir)
541 libscidata_structures_la_root_DATA = license.txt 
542
543 ####┬ádata_structures : init scripts ####
544 libscidata_structures_la_etcdir = $(mydatadir)/etc
545 libscidata_structures_la_etc_DATA = etc/data_structures.quit etc/data_structures.start
546
547 ####┬ádata_structures : gateway declaration ####
548 libscidata_structures_la_sci_gatewaydir = $(mydatadir)/sci_gateway
549 libscidata_structures_la_sci_gateway_DATA = sci_gateway/data_structures_gateway.xml
550
551 # Where all the Scilab stuff is installed (macros, help, ...)
552 mydatadir = $(pkgdatadir)/modules/$(modulename)
553
554 # Set AM_* SCI detected settings
555 AM_CPPFLAGS = $(SCI_CPPFLAGS)
556 AM_CFLAGS = $(SCI_CFLAGS)
557 AM_CXXFLAGS = $(SCI_CXXFLAGS)
558 # append includes to AM_FFLAGS to manage fortran includes
559 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
560
561 # Tag shared libraries with the Scilab version
562 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
563
564 # splint options
565 SPLINT_OPTIONS = -weak -booltype BOOL
566
567 ########################### JAVA ######################################
568 #### We are delegating java compilation to ant... Thanks to that
569 #### the procedure will be the same with Microsoft Windows (C)
570 #### and Linux/Unix
571 #######################################################################
572 TARGETS_ALL = $(am__append_3)
573
574 ################ MACROS ######################
575 # Rule to build a macro
576 # NOT USED  AT THE MOMENT
577 SUFFIXES = .sci 
578
579 ########### INSTALL DOCUMENTATION ###################
580
581 # Install documentation files into the right target
582 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
583 # automake needs the html files to be present which is not the case when
584 # we are building Scilab
585
586 # Where it should be installed
587 pkgdocdir = $(mydatadir)
588
589 # What is the mask of the help source
590 DOCMASKXML = *.xml
591
592 # What is the mask of the MathML sources
593 DOCMASKMML = *.mml
594
595 ########### INSTALL DATA ###################
596 # Install macros, help & demos
597 # Where it should be installed
598 pkgmacrosdir = $(mydatadir)
599 # Which directory we process
600 MACRODIRS = macros/
601 # Mask of the Scilab sources macros
602 MACROMASK = *.sci
603 # Mask of the Scilab executable sources macros
604 MACROBUILDMASK = *.sce
605 # Mask of the Scilab compiled macros
606 MACROBINMASK = *.bin
607 # List of the standard directory for tests
608 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
609 # Where the demos should be installed
610 pkgdemosdir = $(mydatadir)
611 # List of the standard directory for demos
612 DEMOS_DIR = demos
613 # List of the standard directory for examples
614 EXAMPLES_DIR = examples
615 # Where to export JAVA archives (.jar)
616 JARDIR = jar/
617 # JAR files mask
618 JARMASK = *.jar
619 # Chapter file 
620 HELP_CHAPTERDIR = help/
621 HELP_CHAPTERFILE = addchapter.sce
622 HELP_CHAPTERLANG = en_US fr_FR pt_BR
623 all: all-am
624
625 .SUFFIXES:
626 .SUFFIXES: .sci .bin .c .f .lo .o .obj
627 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
628         @for dep in $?; do \
629           case '$(am__configure_deps)' in \
630             *$$dep*) \
631               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
632                 && { if test -f $@; then exit 0; else break; fi; }; \
633               exit 1;; \
634           esac; \
635         done; \
636         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/data_structures/Makefile'; \
637         $(am__cd) $(top_srcdir) && \
638           $(AUTOMAKE) --foreign modules/data_structures/Makefile
639 .PRECIOUS: Makefile
640 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
641         @case '$?' in \
642           *config.status*) \
643             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
644           *) \
645             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
646             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
647         esac;
648 $(top_srcdir)/Makefile.incl.am:
649
650 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
651         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
652
653 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
654         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
655 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
656         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
657 $(am__aclocal_m4_deps):
658
659 clean-noinstLTLIBRARIES:
660         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
661         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
662           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
663           test "$$dir" != "$$p" || dir=.; \
664           echo "rm -f \"$${dir}/so_locations\""; \
665           rm -f "$${dir}/so_locations"; \
666         done
667 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
668         @$(NORMAL_INSTALL)
669         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
670         list2=; for p in $$list; do \
671           if test -f $$p; then \
672             list2="$$list2 $$p"; \
673           else :; fi; \
674         done; \
675         test -z "$$list2" || { \
676           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
677           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
678           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
679           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
680         }
681
682 uninstall-pkglibLTLIBRARIES:
683         @$(NORMAL_UNINSTALL)
684         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
685         for p in $$list; do \
686           $(am__strip_dir) \
687           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
688           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
689         done
690
691 clean-pkglibLTLIBRARIES:
692         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
693         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
694           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
695           test "$$dir" != "$$p" || dir=.; \
696           echo "rm -f \"$${dir}/so_locations\""; \
697           rm -f "$${dir}/so_locations"; \
698         done
699 libdummy-data_structures.la: $(libdummy_data_structures_la_OBJECTS) $(libdummy_data_structures_la_DEPENDENCIES) $(EXTRA_libdummy_data_structures_la_DEPENDENCIES) 
700         $(libdummy_data_structures_la_LINK)  $(libdummy_data_structures_la_OBJECTS) $(libdummy_data_structures_la_LIBADD) $(LIBS)
701 libscidata_structures-algo.la: $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_DEPENDENCIES) $(EXTRA_libscidata_structures_algo_la_DEPENDENCIES) 
702         $(F77LINK) $(am_libscidata_structures_algo_la_rpath) $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_LIBADD) $(LIBS)
703 libscidata_structures.la: $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_DEPENDENCIES) $(EXTRA_libscidata_structures_la_DEPENDENCIES) 
704         $(F77LINK) $(am_libscidata_structures_la_rpath) $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_LIBADD) $(LIBS)
705
706 mostlyclean-compile:
707         -rm -f *.$(OBJEXT)
708
709 distclean-compile:
710         -rm -f *.tab.c
711
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-hmops.Plo@am__quote@
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-strpos.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_getfield.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_glist.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_list.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_mlist.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_rlist.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_setfield.Plo@am__quote@
727 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_tlist.Plo@am__quote@
728
729 .c.o:
730 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
731 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
735
736 .c.obj:
737 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
738 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
742
743 .c.lo:
744 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
745 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
749
750 libscidata_structures_algo_la-stcreate.lo: src/c/stcreate.c
751 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-stcreate.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
752 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo $(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/stcreate.c' object='libscidata_structures_algo_la-stcreate.lo' libtool=yes @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
756
757 libscidata_structures_algo_la-hmops.lo: src/c/hmops.c
758 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-hmops.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
759 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo $(DEPDIR)/libscidata_structures_algo_la-hmops.Plo
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/hmops.c' object='libscidata_structures_algo_la-hmops.lo' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
763
764 libscidata_structures_algo_la-strpos.lo: src/c/strpos.c
765 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-strpos.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
766 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo $(DEPDIR)/libscidata_structures_algo_la-strpos.Plo
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/strpos.c' object='libscidata_structures_algo_la-strpos.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
770
771 libscidata_structures_la-sci_lsslist.lo: sci_gateway/c/sci_lsslist.c
772 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lsslist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
773 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo $(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lsslist.c' object='libscidata_structures_la-sci_lsslist.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
777
778 libscidata_structures_la-sci_glist.lo: sci_gateway/c/sci_glist.c
779 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_glist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
780 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo $(DEPDIR)/libscidata_structures_la-sci_glist.Plo
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_glist.c' object='libscidata_structures_la-sci_glist.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
784
785 libscidata_structures_la-sci_mlist.lo: sci_gateway/c/sci_mlist.c
786 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_mlist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_mlist.Tpo -c -o libscidata_structures_la-sci_mlist.lo `test -f 'sci_gateway/c/sci_mlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mlist.c
787 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_mlist.Tpo $(DEPDIR)/libscidata_structures_la-sci_mlist.Plo
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mlist.c' object='libscidata_structures_la-sci_mlist.lo' libtool=yes @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_mlist.lo `test -f 'sci_gateway/c/sci_mlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mlist.c
791
792 libscidata_structures_la-sci_definedfields.lo: sci_gateway/c/sci_definedfields.c
793 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_definedfields.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
794 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo $(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_definedfields.c' object='libscidata_structures_la-sci_definedfields.lo' libtool=yes @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
798
799 libscidata_structures_la-sci_getfield.lo: sci_gateway/c/sci_getfield.c
800 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_getfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/c/sci_getfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getfield.c
801 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_getfield.Plo
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getfield.c' object='libscidata_structures_la-sci_getfield.lo' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/c/sci_getfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getfield.c
805
806 libscidata_structures_la-sci_setfield.lo: sci_gateway/c/sci_setfield.c
807 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_setfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/c/sci_setfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setfield.c
808 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_setfield.Plo
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setfield.c' object='libscidata_structures_la-sci_setfield.lo' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/c/sci_setfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setfield.c
812
813 libscidata_structures_la-sci_lstcat.lo: sci_gateway/c/sci_lstcat.c
814 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstcat.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
815 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstcat.c' object='libscidata_structures_la-sci_lstcat.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
819
820 libscidata_structures_la-sci_list.lo: sci_gateway/c/sci_list.c
821 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_list.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_list.Tpo -c -o libscidata_structures_la-sci_list.lo `test -f 'sci_gateway/c/sci_list.c' || echo '$(srcdir)/'`sci_gateway/c/sci_list.c
822 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_list.Tpo $(DEPDIR)/libscidata_structures_la-sci_list.Plo
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_list.c' object='libscidata_structures_la-sci_list.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_list.lo `test -f 'sci_gateway/c/sci_list.c' || echo '$(srcdir)/'`sci_gateway/c/sci_list.c
826
827 libscidata_structures_la-gw_data_structures1.lo: sci_gateway/c/gw_data_structures1.c
828 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures1.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
829 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures1.c' object='libscidata_structures_la-gw_data_structures1.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
833
834 libscidata_structures_la-gw_data_structures2.lo: sci_gateway/c/gw_data_structures2.c
835 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures2.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
836 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures2.c' object='libscidata_structures_la-gw_data_structures2.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
840
841 libscidata_structures_la-sci_lstsize.lo: sci_gateway/c/sci_lstsize.c
842 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstsize.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
843 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstsize.c' object='libscidata_structures_la-sci_lstsize.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
847
848 libscidata_structures_la-sci_rlist.lo: sci_gateway/c/sci_rlist.c
849 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_rlist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
850 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo $(DEPDIR)/libscidata_structures_la-sci_rlist.Plo
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_rlist.c' object='libscidata_structures_la-sci_rlist.lo' libtool=yes @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
854
855 libscidata_structures_la-sci_tlist.lo: sci_gateway/c/sci_tlist.c
856 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_tlist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_tlist.Tpo -c -o libscidata_structures_la-sci_tlist.lo `test -f 'sci_gateway/c/sci_tlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_tlist.c
857 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_tlist.Tpo $(DEPDIR)/libscidata_structures_la-sci_tlist.Plo
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_tlist.c' object='libscidata_structures_la-sci_tlist.lo' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_tlist.lo `test -f 'sci_gateway/c/sci_tlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_tlist.c
861
862 .f.o:
863         $(F77COMPILE) -c -o $@ $<
864
865 .f.obj:
866         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
867
868 .f.lo:
869         $(LTF77COMPILE) -c -o $@ $<
870
871 extractfields.lo: src/fortran/extractfields.f
872         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o extractfields.lo `test -f 'src/fortran/extractfields.f' || echo '$(srcdir)/'`src/fortran/extractfields.f
873
874 forcerhs.lo: src/fortran/forcerhs.f
875         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o forcerhs.lo `test -f 'src/fortran/forcerhs.f' || echo '$(srcdir)/'`src/fortran/forcerhs.f
876
877 intl_i.lo: src/fortran/intl_i.f
878         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intl_i.lo `test -f 'src/fortran/intl_i.f' || echo '$(srcdir)/'`src/fortran/intl_i.f
879
880 lsstyp.lo: src/fortran/lsstyp.f
881         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lsstyp.lo `test -f 'src/fortran/lsstyp.f' || echo '$(srcdir)/'`src/fortran/lsstyp.f
882
883 udptr.lo: src/fortran/udptr.f
884         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o udptr.lo `test -f 'src/fortran/udptr.f' || echo '$(srcdir)/'`src/fortran/udptr.f
885
886 followpath.lo: src/fortran/followpath.f
887         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o followpath.lo `test -f 'src/fortran/followpath.f' || echo '$(srcdir)/'`src/fortran/followpath.f
888
889 rattyp.lo: src/fortran/rattyp.f
890         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rattyp.lo `test -f 'src/fortran/rattyp.f' || echo '$(srcdir)/'`src/fortran/rattyp.f
891
892 lstops.lo: src/fortran/lstops.f
893         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lstops.lo `test -f 'src/fortran/lstops.f' || echo '$(srcdir)/'`src/fortran/lstops.f
894
895 gratyp.lo: src/fortran/gratyp.f
896         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gratyp.lo `test -f 'src/fortran/gratyp.f' || echo '$(srcdir)/'`src/fortran/gratyp.f
897
898 mlist.lo: src/fortran/mlist.f
899         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mlist.lo `test -f 'src/fortran/mlist.f' || echo '$(srcdir)/'`src/fortran/mlist.f
900
901 insertfield.lo: src/fortran/insertfield.f
902         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o insertfield.lo `test -f 'src/fortran/insertfield.f' || echo '$(srcdir)/'`src/fortran/insertfield.f
903
904 sci_f_definedfields.lo: sci_gateway/fortran/sci_f_definedfields.f
905         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_definedfields.lo `test -f 'sci_gateway/fortran/sci_f_definedfields.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_definedfields.f
906
907 sci_f_lstsize.lo: sci_gateway/fortran/sci_f_lstsize.f
908         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstsize.lo `test -f 'sci_gateway/fortran/sci_f_lstsize.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstsize.f
909
910 sci_f_setfield.lo: sci_gateway/fortran/sci_f_setfield.f
911         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_setfield.lo `test -f 'sci_gateway/fortran/sci_f_setfield.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_setfield.f
912
913 sci_f_getfield.lo: sci_gateway/fortran/sci_f_getfield.f
914         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_getfield.lo `test -f 'sci_gateway/fortran/sci_f_getfield.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_getfield.f
915
916 sci_f_lstcat.lo: sci_gateway/fortran/sci_f_lstcat.f
917         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstcat.lo `test -f 'sci_gateway/fortran/sci_f_lstcat.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstcat.f
918
919 sci_f_list.lo: sci_gateway/fortran/sci_f_list.f
920         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_list.lo `test -f 'sci_gateway/fortran/sci_f_list.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_list.f
921
922 mostlyclean-libtool:
923         -rm -f *.lo
924
925 clean-libtool:
926         -rm -rf .libs _libs
927 install-libscidata_structures_la_etcDATA: $(libscidata_structures_la_etc_DATA)
928         @$(NORMAL_INSTALL)
929         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
930         if test -n "$$list"; then \
931           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
932           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit 1; \
933         fi; \
934         for p in $$list; do \
935           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
936           echo "$$d$$p"; \
937         done | $(am__base_list) | \
938         while read files; do \
939           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
940           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit $$?; \
941         done
942
943 uninstall-libscidata_structures_la_etcDATA:
944         @$(NORMAL_UNINSTALL)
945         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
946         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
947         dir='$(DESTDIR)$(libscidata_structures_la_etcdir)'; $(am__uninstall_files_from_dir)
948 install-libscidata_structures_la_rootDATA: $(libscidata_structures_la_root_DATA)
949         @$(NORMAL_INSTALL)
950         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
951         if test -n "$$list"; then \
952           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
953           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit 1; \
954         fi; \
955         for p in $$list; do \
956           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
957           echo "$$d$$p"; \
958         done | $(am__base_list) | \
959         while read files; do \
960           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
961           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit $$?; \
962         done
963
964 uninstall-libscidata_structures_la_rootDATA:
965         @$(NORMAL_UNINSTALL)
966         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
967         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
968         dir='$(DESTDIR)$(libscidata_structures_la_rootdir)'; $(am__uninstall_files_from_dir)
969 install-libscidata_structures_la_sci_gatewayDATA: $(libscidata_structures_la_sci_gateway_DATA)
970         @$(NORMAL_INSTALL)
971         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
972         if test -n "$$list"; then \
973           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
974           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit 1; \
975         fi; \
976         for p in $$list; do \
977           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
978           echo "$$d$$p"; \
979         done | $(am__base_list) | \
980         while read files; do \
981           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
982           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit $$?; \
983         done
984
985 uninstall-libscidata_structures_la_sci_gatewayDATA:
986         @$(NORMAL_UNINSTALL)
987         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
988         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
989         dir='$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
990
991 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
992         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
993         unique=`for i in $$list; do \
994             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
995           done | \
996           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
997               END { if (nonempty) { for (i in files) print i; }; }'`; \
998         mkid -fID $$unique
999 tags: TAGS
1000
1001 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1002                 $(TAGS_FILES) $(LISP)
1003         set x; \
1004         here=`pwd`; \
1005         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1006         unique=`for i in $$list; do \
1007             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1008           done | \
1009           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1010               END { if (nonempty) { for (i in files) print i; }; }'`; \
1011         shift; \
1012         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1013           test -n "$$unique" || unique=$$empty_fix; \
1014           if test $$# -gt 0; then \
1015             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1016               "$$@" $$unique; \
1017           else \
1018             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1019               $$unique; \
1020           fi; \
1021         fi
1022 ctags: CTAGS
1023 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1024                 $(TAGS_FILES) $(LISP)
1025         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1026         unique=`for i in $$list; do \
1027             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1028           done | \
1029           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1030               END { if (nonempty) { for (i in files) print i; }; }'`; \
1031         test -z "$(CTAGS_ARGS)$$unique" \
1032           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1033              $$unique
1034
1035 GTAGS:
1036         here=`$(am__cd) $(top_builddir) && pwd` \
1037           && $(am__cd) $(top_srcdir) \
1038           && gtags -i $(GTAGS_ARGS) "$$here"
1039
1040 distclean-tags:
1041         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1042
1043 distdir: $(DISTFILES)
1044         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046         list='$(DISTFILES)'; \
1047           dist_files=`for file in $$list; do echo $$file; done | \
1048           sed -e "s|^$$srcdirstrip/||;t" \
1049               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1050         case $$dist_files in \
1051           */*) $(MKDIR_P) `echo "$$dist_files" | \
1052                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1053                            sort -u` ;; \
1054         esac; \
1055         for file in $$dist_files; do \
1056           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1057           if test -d $$d/$$file; then \
1058             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1059             if test -d "$(distdir)/$$file"; then \
1060               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061             fi; \
1062             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1063               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1064               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1065             fi; \
1066             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1067           else \
1068             test -f "$(distdir)/$$file" \
1069             || cp -p $$d/$$file "$(distdir)/$$file" \
1070             || exit 1; \
1071           fi; \
1072         done
1073 check-am: all-am
1074         $(MAKE) $(AM_MAKEFLAGS) check-local
1075 check: check-am
1076 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1077 installdirs:
1078         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidata_structures_la_etcdir)" "$(DESTDIR)$(libscidata_structures_la_rootdir)" "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"; do \
1079           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1080         done
1081 install: install-am
1082 install-exec: install-exec-am
1083 install-data: install-data-am
1084 uninstall: uninstall-am
1085
1086 install-am: all-am
1087         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1088
1089 installcheck: installcheck-am
1090 install-strip:
1091         if test -z '$(STRIP)'; then \
1092           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1093             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1094               install; \
1095         else \
1096           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1097             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1098             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1099         fi
1100 mostlyclean-generic:
1101
1102 clean-generic:
1103
1104 distclean-generic:
1105         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1106         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1107
1108 maintainer-clean-generic:
1109         @echo "This command is intended for maintainers to use"
1110         @echo "it deletes files that may require special tools to rebuild."
1111 clean: clean-am
1112
1113 clean-am: clean-generic clean-libtool clean-local \
1114         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1115
1116 distclean: distclean-am
1117         -rm -rf ./$(DEPDIR)
1118         -rm -f Makefile
1119 distclean-am: clean-am distclean-compile distclean-generic \
1120         distclean-local distclean-tags
1121
1122 dvi: dvi-am
1123
1124 dvi-am:
1125
1126 html: html-am
1127
1128 html-am:
1129
1130 info: info-am
1131
1132 info-am:
1133
1134 install-data-am: install-data-local \
1135         install-libscidata_structures_la_etcDATA \
1136         install-libscidata_structures_la_rootDATA \
1137         install-libscidata_structures_la_sci_gatewayDATA
1138
1139 install-dvi: install-dvi-am
1140
1141 install-dvi-am:
1142
1143 install-exec-am: install-pkglibLTLIBRARIES
1144
1145 install-html: install-html-am
1146
1147 install-html-am: install-html-local
1148
1149 install-info: install-info-am
1150
1151 install-info-am:
1152
1153 install-man:
1154
1155 install-pdf: install-pdf-am
1156
1157 install-pdf-am:
1158
1159 install-ps: install-ps-am
1160
1161 install-ps-am:
1162
1163 installcheck-am:
1164
1165 maintainer-clean: maintainer-clean-am
1166         -rm -rf ./$(DEPDIR)
1167         -rm -f Makefile
1168 maintainer-clean-am: distclean-am maintainer-clean-generic
1169
1170 mostlyclean: mostlyclean-am
1171
1172 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1173         mostlyclean-libtool
1174
1175 pdf: pdf-am
1176
1177 pdf-am:
1178
1179 ps: ps-am
1180
1181 ps-am:
1182
1183 uninstall-am: uninstall-libscidata_structures_la_etcDATA \
1184         uninstall-libscidata_structures_la_rootDATA \
1185         uninstall-libscidata_structures_la_sci_gatewayDATA \
1186         uninstall-pkglibLTLIBRARIES
1187
1188 .MAKE: check-am install-am install-strip
1189
1190 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1191         clean clean-generic clean-libtool clean-local \
1192         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1193         distclean distclean-compile distclean-generic \
1194         distclean-libtool distclean-local distclean-tags distdir dvi \
1195         dvi-am html html-am info info-am install install-am \
1196         install-data install-data-am install-data-local install-dvi \
1197         install-dvi-am install-exec install-exec-am install-html \
1198         install-html-am install-html-local install-info \
1199         install-info-am install-libscidata_structures_la_etcDATA \
1200         install-libscidata_structures_la_rootDATA \
1201         install-libscidata_structures_la_sci_gatewayDATA install-man \
1202         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1203         install-ps install-ps-am install-strip installcheck \
1204         installcheck-am installdirs maintainer-clean \
1205         maintainer-clean-generic mostlyclean mostlyclean-compile \
1206         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1207         tags uninstall uninstall-am \
1208         uninstall-libscidata_structures_la_etcDATA \
1209         uninstall-libscidata_structures_la_rootDATA \
1210         uninstall-libscidata_structures_la_sci_gatewayDATA \
1211         uninstall-pkglibLTLIBRARIES
1212
1213
1214 libdummy_data_structures_la-intl_e.lo: src/fortran/intl_e.f
1215         $(LIBTOOL) --tag=F77 --mode=compile $(F77) $(libdummy_data_structures_la_FFLAGS) -c -o libdummy_data_structures_la-intl_e.lo `test -f 'src/fortran/intl_e.f' || echo '$(srcdir)/'`src/fortran/intl_e.f
1216
1217 # This target enables tests for Scilab
1218 check-local: $(top_builddir)/scilab-bin test
1219         if test -d $(mydatadir)/tests; then \
1220           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1221         fi
1222 check-code:
1223         if test -f build.xml; then \
1224                 $(ANT) checkstyle; \
1225         fi
1226         if test -x "$(SPLINT)"; then \
1227                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1228         fi
1229 @NEED_JAVA_TRUE@java:
1230 # Some configurations needs to export JAVA_HOME in the current env
1231 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1232 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1233 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1234 @NEED_JAVA_TRUE@                $(ANT); \
1235 @NEED_JAVA_TRUE@        fi
1236
1237 @NEED_JAVA_TRUE@clean-java:
1238 # Some configurations needs to export JAVA_HOME in the current env
1239 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1240 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1241 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1242 @NEED_JAVA_TRUE@                $(ANT) clean; \
1243 @NEED_JAVA_TRUE@        fi;
1244
1245 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1246 # We call the target swig-build on the variable SWIG_WRAPPERS
1247
1248 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1249 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1250 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1251 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1252 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1253 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1254 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1255 @SWIG_TRUE@             done; \
1256 @SWIG_TRUE@     fi
1257
1258 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1259 # We call the target swig-build on the variable SWIG_WRAPPERS
1260
1261 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1262 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1263 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1264 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1265 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1266 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1267 @GIWS_TRUE@             done; \
1268 @GIWS_TRUE@     fi
1269
1270 @GIWS_TRUE@giws-exception:
1271 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1272 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1273 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1274
1275 macros:
1276         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1277                 echo "Error : Cannot build $< : Scilab has not been built"; \
1278         else \
1279                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1280         fi)
1281
1282 # Removes the macros
1283 clean-macros:
1284 # Removes macros (*.bin generated from .sci)
1285         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1286                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1287                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1288         done
1289
1290 test:
1291 # More tests could be added here
1292         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1293         if test -f build.xml -a $$USEANT -eq 1; then \
1294                 $(ANT) test; \
1295         fi
1296
1297 all-local: $(TARGETS_ALL)
1298
1299 .sci.bin:
1300         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1301         echo "Error : Cannot build $< : Scilab has not been build"; \
1302         else \
1303         echo "Creating $@"; \
1304         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1305         fi )
1306
1307 install-html-local:
1308
1309 install-data-local-local:
1310 # Mainly for javasci
1311         @if test -d $(srcdir)/javadoc; then \
1312                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1313         fi
1314 # If the user wants the help sources to be installed
1315 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1316 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1317 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1318 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1319 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1320 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1321 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1322 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1323 @INSTALL_HELP_XML_TRUE@           done ; \
1324 @INSTALL_HELP_XML_TRUE@         fi; \
1325 @INSTALL_HELP_XML_TRUE@  fi; \
1326 @INSTALL_HELP_XML_TRUE@ done; \
1327 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1328 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1329 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1330 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1331 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1332 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1333 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1334 @INSTALL_HELP_XML_TRUE@           done ; \
1335 @INSTALL_HELP_XML_TRUE@         fi; \
1336 @INSTALL_HELP_XML_TRUE@ fi
1337 install-data-local:
1338 # Install the tests
1339         @echo "-------- Install tests (if any) --------"; \
1340         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1341           if test -d $(srcdir)/$$dir/; then \
1342             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1343                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1344                     if test -d "$(srcdir)/$$dir/$$file"; then \
1345                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1346                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1347                     else \
1348                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1349                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1350                     fi \
1351                   done; \
1352           fi; \
1353         done
1354 # Install the help chapter
1355         @echo "-------- Install the help chapter (if any) --------"; \
1356         for lang in $(HELP_CHAPTERLANG); do \
1357                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1358                 if test -f $$HELPFILE; then \
1359                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1360                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1361                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1362                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1363                 fi; \
1364         done
1365 # Install the demos & examples
1366         @echo "-------- Install demos & examples (if any) --------"; \
1367         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1368           if test -d $(srcdir)/$$dir/; then \
1369             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1370                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1371                     if test -d "$(srcdir)/$$dir/$$file"; then \
1372                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1373                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1374                     else \
1375                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1376                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1377                     fi \
1378                   done; \
1379           fi; \
1380         done
1381 # Install the macros
1382         @echo "-------- Install macros (if any) --------"; \
1383         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1384           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1385                 if test -d $(srcdir)/$$dir/; then \
1386                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1387                         if test -n "$(MACROSSPECIALEXT)"; then \
1388                                 specialExtDir=""; \
1389                                 for specialExt in $(MACROSSPECIALEXT); do \
1390                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1391                                 done; \
1392                                 FILELIST="$$FILELIST $$specialExtDir"; \
1393                         fi; \
1394                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1395                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1396                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1397                   done; \
1398                 fi; \
1399         done
1400 # Install java files (.jar)
1401         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1402         echo "-------- Install jar files --------"; \
1403     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1404           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1405                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1406                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1407           done ; \
1408         fi
1409
1410 ########### CLEAN ###################
1411 # Clean help (generated automatically by Scilab)
1412 # It used to clean the macro (clean-macros) but this was causing
1413 # make clean && make to fail Scilab startup
1414 @NEED_JAVA_TRUE@clean-local: clean-java
1415 @NEED_JAVA_FALSE@clean-local:
1416
1417 distclean-local:
1418         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1419
1420 .PHONY: macros java swig giws
1421
1422 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1423 # Otherwise a system limit (for SysV at least) may be exceeded.
1424 .NOEXPORT: